summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/elem_limit_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/sets/elem_limit_0')
-rwxr-xr-xtests/shell/testcases/sets/elem_limit_017
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/elem_limit_0 b/tests/shell/testcases/sets/elem_limit_0
new file mode 100755
index 00000000..b57f9274
--- /dev/null
+++ b/tests/shell/testcases/sets/elem_limit_0
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+## requires EXPR
+
+set -e
+
+RULESET="table netdev filter {
+ set test123 {
+ typeof ip saddr
+ limit rate over 1024 kbytes/second
+ elements = { 1.2.3.4 limit rate over 1024 kbytes/second }
+ }
+}"
+
+$NFT -f - <<< $RULESET
+
+(echo "flush ruleset netdev"; $NFT --stateless list ruleset netdev) | $NFT -f -